$!-----------------------------------------------------------------------------
$! BUILD_HPRINTS.COM
$! Builds the HPRINTS utility for both VAX and AXP systems (separately)
$!
$! 01-DEC-95  MGD  VAX migrate from VAX C to DEC C
$! 10-SEP-94  MGD  initial development
$!-----------------------------------------------------------------------------
$ WRITE SYS$OUTPUT "Building for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    SET VERIFY
$    IF P1 .NES. "LINK" THEN CC /STANDARD=VAXC /OBJECT='OBJECT_DIR' HprintS
$    LINK /EXECUTABLE=HT_EXE:HPRINTS.EXE -
     'OBJECT_DIR'HprintS, -
     SYS$INPUT/OPTION
!     SYS$LIBRARY:VAXCRTL.EXE/SHARE
$!   'F$VERIFY(0)
$ ELSE
$    SET VERIFY
$    IF P1 .NES. "LINK" THEN CC /STANDARD=VAXC /OBJECT='OBJECT_DIR' HprintS
$    LINK /EXECUTABLE=HT_EXE:HPRINTS.EXE 'OBJECT_DIR'HprintS
$!   'F$VERIFY(0)
$ ENDIF
$ PURGE /NOLOG 'OBJECT_DIR'
$ SET PROTECTION=W:RE HT_EXE:HPRINTS.EXE
$!-----------------------------------------------------------------------------
