/*****************************************************************************/
/*
                                 Support.h

Function prototypes for support module.

*/
/*****************************************************************************/

void* ListAddTail (struct GenericListStruct*, struct GenericListEntryStruct*,
                   void*);
void* ListAddTail (struct GenericListStruct*, struct GenericListEntryStruct*,
                   void*);
void* ListRemove (struct GenericListStruct*, struct GenericListEntryStruct*);
ListDebug (struct GenericListStruct*);

int CopyTextIntoHtml (char*, char*, int);
char* DayOfWeekName (unsigned long*);
int DefineMonitorLogicals (struct RequestStruct*);
int DefineMonitorLogicalsHere (struct RequestStruct*);
char* HeapAlloc (struct RequestStruct*, int);
HeapDebug (struct RequestStruct*);
HeapFree (struct RequestStruct*);
char* HeapStringAppend (struct RequestStruct*, char*, char*, int);
char* HeapStringPrepend (struct RequestStruct*, char*, char*, int);
char* HeapRealloc (struct RequestStruct*, unsigned char*, int);
char* HtmlMetaInfo (struct RequestStruct*, char*);
char* HttpHeader (struct RequestStruct*, int, char*, int,
                  unsigned long*, char*);
char *HttpHeaderAppend (struct RequestStruct*, char*, char*, int);
int HttpGmTime (char*, unsigned long*);
int HttpGmTimeString (char*, unsigned long*);
int HttpIfModifiedSince (struct RequestStruct*, int);
int TimeAdjustGMT (boolean, unsigned long*);
int TimeSetGMT ();
int TimeVmsToUnix (unsigned long*, struct tm*);
int UrlDecodeString (char*);
char *ParseQueryField (struct RequestStruct*, char*, char*, int, char*, int,
                       char*, int);

/* this macro generates an HTML content-type, success header */
#define HttpHeader200Html(rqptr) \
        HttpHeader (rqptr, 200, "text/html", -1, NULL, NULL)

/*****************************************************************************/
